org.red5.io.m4a

## Interface IM4AService

All Superinterfaces:
  IStreamableFileService

All Known Implementing Classes:
  M4AService

    public interface IM4AService
    extends IStreamableFileService

A M4AService sets up the service and hands out M4A objects to its callers

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

### Method Summary

Methods
`void` `setDeserializer(Deserializer deserializer)` Sets the deserializer
`void` `setSerializer(Serializer serializer)` Sets the serializer

### Methods inherited from interface org.red5.io.IStreamableFileService

`canHandle, getExtension, getPrefix, getStreamableFile, prepareFilename, setExtension, setPrefix`

### Method Detail

#### setSerializer

    void setSerializer(Serializer serializer)

Sets the serializer

Parameters:
  `serializer` - Serializer object

#### setDeserializer

    void setDeserializer(Deserializer deserializer)

Sets the deserializer

Parameters:
  `deserializer` - Deserializer object